## brogue 1.4-maemo2

=== Makefile ===

CFLAGS=$(FLAGS) -I/usr/include/libtcod -Isrc/brogue -Isrc/platform -Wall
RELEASENAME=brogue-1.4

%.o : %.cpp
	g++ $(CFLAGS) -g -o $@ -c $< 
%.o : %.c
	gcc $(CFLAGS) -g -o $@ -c $< 

OBJS=src/brogue/Architect.o \
	src/brogue/Combat.o \
	src/brogue/Dijkstra.o \
	src/brogue/Globals.o \
	src/brogue/IO.o \
	src/brogue/Items.o \
	src/brogue/Light.o \
	src/brogue/Monsters.o \
	src/brogue/Movement.o \
	src/brogue/Recordings.o \
	src/brogue/RogueMain.o \
	src/brogue/Random.o \
	src/platform/main.o \
	src/platform/platformdependent.o 

all : bin/brogue

clean : 
	rm src/brogue/*.o src/platform/*.o bin/brogue


bin/brogue : ${OBJS}
	g++ -O3 -o bin/brogue ${OBJS} -L. -L/usr/lib/libtcod -ltcod -ltcodxx -Wl

## brogue 1.4-maemo1

=== debian/changelog ===
brogue (1.4-maemo1) unstable; urgency=low

  * Initial release
  * Use TCOD_RENDERER_SDL
  * Use system wide libtcod

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 14 Jul 2011 22:33:40 +0200

=== debian/control ===
Source: brogue
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 5.0.42), libtcod-dev
Standards-Version: 3.8.1
Homepage: https://sites.google.com/site/broguegame/

Package: brogue
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Roguelike (uses libtcod)

## brogue 1.4-maemo2

=== debian/changelog ===
brogue (1.4-maemo2) unstable; urgency=low

  * Initial release
  * Use TCOD_RENDERER_SDL
  * Use system wide libtcod

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 14 Jul 2011 22:33:40 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#make clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


	#folder 
	install -d ${CURDIR}/debian/brogue/opt/brogue
	install -d ${CURDIR}/debian/brogue/opt/brogue/save

	#files
	install ${CURDIR}/bin/* ${CURDIR}/debian/brogue/opt/brogue/



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## brogue 1.4-maemo3

=== debian/changelog ===
brogue (1.4-maemo3) unstable; urgency=low

  * Fixed sticky shift.
  * Recordings works (directory corrected)
  * End game text ="space to start a new game"
  * help text added: "F: fight monster till the death"
  * Fullscreen
  * number of MESSAGE_LINES from 3 to 6
  * game are from 100x29 to 100x34

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 18 Jul 2011 02:40:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,11 @@
 	#files
 	install ${CURDIR}/bin/* ${CURDIR}/debian/brogue/opt/brogue/
 
+	#menu and icon
+	#install ${CURDIR}/calcrogue.png     ${CURDIR}/debian/calcrogue/usr/share/icons/hicolor/64x64/hildon
+
+	#install -d ${CURDIR}/debian/calcrogue/usr/share/applications/hildon
+	#install ${CURDIR}/calcrogue.desktop ${CURDIR}/debian/calcrogue/usr/share/applications/hildon
 
 
 # Build architecture-independent files here.

## brogue 1.4-maemo4

=== debian/changelog ===
brogue (1.4-maemo4) unstable; urgency=low

  * Fixed dependency

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 21 Jul 2011 01:45:40 +0200

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: brogue
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libtcod
 Description: Roguelike (uses libtcod)

## brogue 1.5-maemo1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 CFLAGS=$(FLAGS) -I/usr/include/libtcod -Isrc/brogue -Isrc/platform -Wall
-RELEASENAME=brogue-1.4
+RELEASENAME=brogue-1.5
 
 %.o : %.cpp
 	g++ $(CFLAGS) -g -o $@ -c $< 
@@ -28,6 +28,7 @@
 	rm src/brogue/*.o src/platform/*.o bin/brogue
 
 
-bin/brogue : ${OBJS}
-	g++ -O3 -o bin/brogue ${OBJS} -L. -L/usr/lib/libtcod -ltcod -ltcodxx -Wl
 
+bin/brogue : ${OBJS} 
+	g++ -O3 -o bin/brogue ${OBJS} -L. -L/usr/lib/libtcod -ltcod -ltcodxx -Wl,-rpath,.
+

=== debian/changelog ===
brogue (1.5-maemo1) unstable; urgency=low

  * New upstream release.
  * Use system wide libtcod
  * Use TCOD_RENDERER_SDL
  * Uses 'save' directory
  * Fullscreen
  * number of MESSAGE_LINES from 3 to 6
  * game are from 100x29 to 100x34
  * Fixed sticky shift.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 18 Aug 2011 11:43:40 +0200

## brogue 1.5.1-maemo1

=== Makefile ===

LIBTCODDIR=/usr/include/libtcod
CFLAGS=$(FLAGS) -I/usr/include/libtcod -Isrc/brogue -Isrc/platform -Wall  -Wno-parentheses -DBROGUE_TCOD

#CFLAGS=-Isrc/brogue -Isrc/platform -Wall -Wno-parentheses ${DEFINES}
RELEASENAME=brogue-1.5.1

%.o : %.c
	gcc $(CFLAGS) -g -o $@ -c $< 

BROGUEFILES=src/brogue/Architect.o \
	src/brogue/Combat.o \
	src/brogue/Dijkstra.o \
	src/brogue/Globals.o \
	src/brogue/IO.o \
	src/brogue/Items.o \
	src/brogue/Light.o \
	src/brogue/Monsters.o \
	src/brogue/Movement.o \
	src/brogue/Recordings.o \
	src/brogue/RogueMain.o \
	src/brogue/Random.o \
	src/platform/main.o \
	src/platform/platformdependent.o \
	src/platform/curses-platform.o \
	src/platform/tcod-platform.o \
	src/platform/term.o

TCOD_DEF = -DBROGUE_TCOD -I$(LIBTCODDIR)/include
TCOD_DEP = ${LIBTCODDIR}
TCOD_LIB = -L. -L${LIBTCODDIR} -ltcod

CURSES_DEF = -DBROGUE_CURSES
CURSES_LIB = -lncurses -lm

all : both

tcod : DEPENDENCIES = ${TCOD_DEP}
tcod : DEFINES = ${TCOD_DEF}
tcod : LIBRARIES = ${TCOD_LIB}

curses : DEFINES = ${CURSES_DEF}
curses : LIBRARIES = ${CURSES_LIB}

both : DEPENDENCIES += ${TCOD_DEP}
both : DEFINES += ${TCOD_DEF} ${CURSES_DEF}
both : LIBRARIES += ${TCOD_LIB} ${CURSES_LIB}

both : bin/brogue

tcod : bin/brogue

curses : bin/brogue




bin/brogue : ${DEPENDENCIES} ${BROGUEFILES}
	gcc -O0 -o bin/brogue ${BROGUEFILES} ${LIBRARIES}  `sdl-config --libs --cflags` -Wl,-rpath,.

clean : 
	rm -f src/brogue/*.o src/platform/*.o bin/brogue

=== debian/changelog ===
brogue (1.5.1-maemo1) unstable; urgency=low

  * New upstream release.
  * Use system wide libtcod
  * Use TCOD_RENDERER_SDL
  * Uses 'save' directory
  * Fullscreen

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 31 Aug 2011 12:28:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -60,10 +60,10 @@
 	install ${CURDIR}/bin/* ${CURDIR}/debian/brogue/opt/brogue/
 
 	#menu and icon
-	#install ${CURDIR}/calcrogue.png     ${CURDIR}/debian/calcrogue/usr/share/icons/hicolor/64x64/hildon
+	#install ${CURDIR}/brogue.png     ${CURDIR}/debian/brogue/usr/share/icons/hicolor/64x64/hildon
 
-	#install -d ${CURDIR}/debian/calcrogue/usr/share/applications/hildon
-	#install ${CURDIR}/calcrogue.desktop ${CURDIR}/debian/calcrogue/usr/share/applications/hildon
+	#install -d ${CURDIR}/debian/brogue/usr/share/applications/hildon
+	#install ${CURDIR}/brogue.desktop ${CURDIR}/debian/brogue/usr/share/applications/hildon
 
 
 # Build architecture-independent files here.

## brogue 1.6.0-maemo1

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	src/brogue/Items.o \
 	src/brogue/Light.o \
 	src/brogue/Monsters.o \
+	src/brogue/Buttons.o \
 	src/brogue/Movement.o \
 	src/brogue/Recordings.o \
 	src/brogue/RogueMain.o \

=== debian/changelog ===
brogue (1.6.0-maemo1) unstable; urgency=low

  * New upstream release.
  * Use system wide libtcod
  * Compiled with make tcod 
  * Starts fullscreen

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 17 Jan 2012 14:48:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: optional
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
-Build-Depends: debhelper (>= 5.0.42), libtcod-dev
+Build-Depends: debhelper (>= 5.0.42), libtcod-dev, libsdl1.2-dev, libncurses5-dev
 Standards-Version: 3.8.1
 Homepage: https://sites.google.com/site/broguegame/

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	make
+	make tcod
 
 	touch $@

## brogue 1.6.1-maemo1

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,7 @@
 LIBTCODDIR=/usr/include/libtcod
 CFLAGS=$(FLAGS) -I/usr/include/libtcod -Isrc/brogue -Isrc/platform -Wall  -Wno-parentheses -DBROGUE_TCOD
 
-#CFLAGS=-Isrc/brogue -Isrc/platform -Wall -Wno-parentheses ${DEFINES}
-RELEASENAME=brogue-1.5.1
+RELEASENAME=brogue-1.6.1
 
 %.o : %.c
 	gcc $(CFLAGS) -g -o $@ -c $< 
@@ -21,6 +20,7 @@
 	src/brogue/Recordings.o \
 	src/brogue/RogueMain.o \
 	src/brogue/Random.o \
+	src/brogue/MainMenu.o \
 	src/platform/main.o \
 	src/platform/platformdependent.o \
 	src/platform/curses-platform.o \
@@ -57,7 +57,7 @@
 
 
 bin/brogue : ${DEPENDENCIES} ${BROGUEFILES}
-	gcc -O0 -o bin/brogue ${BROGUEFILES} ${LIBRARIES}  `sdl-config --libs --cflags` -Wl,-rpath,.
+	gcc -O3 -o bin/brogue ${BROGUEFILES} ${LIBRARIES}  `sdl-config --libs --cflags` -Wl,-rpath,.
 
 clean : 
 	rm -f src/brogue/*.o src/platform/*.o bin/brogue

=== debian/changelog ===
brogue (1.6.1-maemo1) unstable; urgency=low

  * New upstream release.
  * Use system wide libtcod
  * Compiled with make tcod 
  * Starts fullscreen

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 10 Feb 2012 10:46:40 +0200

## brogue 1.6.2-maemo1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
 
 LIBTCODDIR=/usr/include/libtcod
 CFLAGS=$(FLAGS) -I/usr/include/libtcod -Isrc/brogue -Isrc/platform -Wall  -Wno-parentheses -DBROGUE_TCOD
-
-RELEASENAME=brogue-1.6.1
+RELEASENAME=brogue-1.6.2
 
 %.o : %.c
 	gcc $(CFLAGS) -g -o $@ -c $< 
@@ -57,9 +56,8 @@
 
 
 bin/brogue : ${DEPENDENCIES} ${BROGUEFILES}
-	gcc -O3 -o bin/brogue ${BROGUEFILES} ${LIBRARIES}  `sdl-config --libs --cflags` -Wl,-rpath,.
+	gcc -O3 -o bin/brogue ${BROGUEFILES} ${LIBRARIES} `sdl-config --libs --cflags` -Wl,-rpath,.
 
 clean : 
 	rm -f src/brogue/*.o src/platform/*.o bin/brogue
 
-

=== debian/changelog ===
brogue (1.6.2-maemo1) unstable; urgency=low

  * New upstream release.
  * Use system wide libtcod
  * Compiled with make tcod 
  * Starts fullscreen

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 5 Mar 2012 15:49:40 +0200

## brogue 1.6.4-maemo1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 LIBTCODDIR=/usr/include/libtcod
 CFLAGS=$(FLAGS) -I/usr/include/libtcod -Isrc/brogue -Isrc/platform -Wall  -Wno-parentheses -DBROGUE_TCOD
-RELEASENAME=brogue-1.6.2
+RELEASENAME=brogue-1.6.4
 
 %.o : %.c
 	gcc $(CFLAGS) -g -o $@ -c $< 
@@ -61,3 +61,4 @@
 clean : 
 	rm -f src/brogue/*.o src/platform/*.o bin/brogue
 
+

=== debian/changelog ===
brogue (1.6.4-maemo1) unstable; urgency=low

  * New upstream release.
  * Use system wide libtcod
  * Compiled with make tcod 
  * Starts fullscreen

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 23 Jul 2012 21:00:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -54,10 +54,14 @@
 
 	#folder 
 	install -d ${CURDIR}/debian/brogue/opt/brogue
+	install -d ${CURDIR}/debian/brogue/opt/brogue/fonts
 	install -d ${CURDIR}/debian/brogue/opt/brogue/save
 
+
 	#files
-	install ${CURDIR}/bin/* ${CURDIR}/debian/brogue/opt/brogue/
+	install ${CURDIR}/bin/brogue ${CURDIR}/debian/brogue/opt/brogue/
+	install ${CURDIR}/bin/keymap ${CURDIR}/debian/brogue/opt/brogue/
+	install ${CURDIR}/bin/fonts/* ${CURDIR}/debian/brogue/opt/brogue/fonts
 
 	#menu and icon
 	#install ${CURDIR}/brogue.png     ${CURDIR}/debian/brogue/usr/share/icons/hicolor/64x64/hildon
